# Get a list of financial instruments of the identity

List financial instruments for an identity.

Endpoint: GET /v3/identities/{identity-id}/financial-instruments
Version: 2026.03
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `identity-id` (string, required)
    Unique UUID string that maps to an identity

## Query parameters:

  - `version` (string)
    Version of the identity

  - `next-token` (string)
    The token to use for the next page of results. If provided, the API will return financial instruments after this token.

  - `limit` (integer)
    The maximum number of financial instruments to return. Default is 10, maximum is 100.

## Response 200:

  - `200` (unknown)
    Requested financial instruments of the identity in JSON format

## Response 200 fields (application/json):

  - `data` (array)
    The list of the financial instruments that match the query parameters

  - `data.financialInstrumentId` (string, required)
    The unique identifier of the financial instrument.
    Example: 3fc74743-e7f3-414a-9fcf-eb8c1d52356a

  - `data.financialInstrumentType` (string, required)
    The type of financial instrument or payment rail used for executing the transaction.
This determines the structure and validation of account details required for the payout.
    Example: BR_PIX

  - `data.currency` (string, required)
    The 3-letter ISO currency code of the financial instrument.
    Example: MXN

  - `data.label` (string)
    A user-defined label for the financial instrument.
    Example: mexico bank account

  - `data.country` (string)
    The 2-letter ISO 3166-1 alpha-2 country code of the financial instrument. This field is omitted when no country jurisdiction applies (for example, crypto wallet instruments such as ETH_WALLET, TRON_WALLET, and SOL_WALLET). An absent `country` should be interpreted as "no applicable jurisdiction".
    Example: MX

  - `data.createdAt` (string)
    The time at which the financial instrument was created
    Example: 2023-11-02T18:26:00.000Z

  - `data.updatedAt` (string)
    The time at which the financial instrument was last updated
    Example: 2023-11-03T18:26:00.000Z

  - `nextToken` (string)
    The token to retrieve the next page of results

## Response 400:

  - `400` (unknown)
    Invalid request

## Response 400 fields (application/json):

  - `status` (integer, required)
    The HTTP status code of the error
    Example: 404

  - `errors` (array, required)

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: No identity exists for identityId

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Unable to get identity. Identity ID should be in UUID format

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `timestamp` (string)
    The timestamp of the error
    Example: 2023-11-02T18:26:00.000Z

## Response 404:

  - `404` (unknown)
    No identity or financial instruments found

## Response 404 fields (application/json):

  - `status` (integer, required)
    The HTTP status code of the error
    Example: 404

  - `errors` (array, required)

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: No identity exists for identityId

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Unable to get identity. Identity ID should be in UUID format

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `timestamp` (string)
    The timestamp of the error
    Example: 2023-11-02T18:26:00.000Z

## Response 500:

  - `500` (unknown)
    Internal Processing Error

## Response 500 fields (application/json):

  - `status` (integer, required)
    The HTTP status code of the error
    Example: 404

  - `errors` (array, required)

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: No identity exists for identityId

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Unable to get identity. Identity ID should be in UUID format

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `timestamp` (string)
    The timestamp of the error
    Example: 2023-11-02T18:26:00.000Z

## Response 200 examples:

  - `list-fi-v3` (unknown)

## Response 400 examples:

  - `error-response-400` (unknown)

## Response 404 examples:

  - `error-response-404` (unknown)

## Response 500 examples:

  - `error-response-500` (unknown)

